
Redmine - Defect #33499

Issue filter "Subproject" does not work

2020-05-26 21:42 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.0

Description

Issue filter "Subproject" does not work. Looks like whatever is set, is ignored and issues from all subprojects are shown.

Environment:

  Redmine version                4.1.0.stable

  Ruby version                   2.5.7-p206 (2019-10-01) [x64-mingw32]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.11.1

  Git                            2.19.1

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2020-05-26 22:42 - Mischa The Evil

- Status changed from New to Needs feedback

I am not able not reproduce this on 4.1.1 given what the feature actually provides

1

. Also, the related code has test coverage. See

QueryTest#test_filter_on_subprojects at source:/trunk/test/unit/query_test.rb@19786#L2406.

1

 the functionality of this filter might not exactly be what one expects, see eg. #29596, #8853, #2512 and #3952.

#2 - 2020-05-27 23:28 - Sebastian Paluch

Jean-Phillipe Lang said that "this is not a bug but a design choice" in #2512#note-3.

 OK, but this is very very intuitive and actually not useful behavior. If I would like to see issues that are from the project and a sub-project then I should

have a possibility to use multi-select - select with Ctrl current project and desired sub-project. Currently the list holds only sub-projects and by default

adds all issues from the project.

Imagine situation that the project has 1000 issues, then I have 10 sub-project. I would like to see issues only from two sub-project - I cannot - because

issues from the two sub-projects will be overwhelmed by a 1000 issues from the project...

Since this is "desired" behavior", it seems that my issue should be changed to feature request.

#3 - 2020-05-28 15:39 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

If you want to display issues from only a specifically named subset of your projects, you can navigate to the global issue list  at Projects -> Issues. 

There, you can select the projects you want to see issues from by using the Project filter.
